package iet.jxufe.cn.android.autocompletetest;

import java.util.ArrayList;
import java.util.List;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.AutoCompleteTextView;

public class MainActivity extends Activity {
	private List<String> datas;//ڴԴļ
	private AutoCompleteTextView mAuto;//Զʾؼ
	private MyOpenHelper mHelper;//ݿ⸨
	private SQLiteDatabase mDB;//ݿװ
	private ArrayAdapter<String> adapter;//ؼ	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		mHelper=new MyOpenHelper(this,"word.db", null, 1);//ݿ⸨
		mDB=mHelper.getReadableDatabase();//ȡݿ		
		mAuto=(AutoCompleteTextView)findViewById(R.id.mAuto);		
		datas=getData();//ݿлȡ
		adapter=new ArrayAdapter<String>(this,android.R.layout.simple_list_item_1,datas);
		mAuto.setAdapter(adapter);//ݺͿؼ
	}	
	public List<String> getData(){//ڻȡݿеԴ
		List<String> contents = new ArrayList<String>();
		Cursor result=mDB.rawQuery("select * from word",null);
		while (result.moveToNext()) {
			contents.add(result.getString(result.getColumnIndex("word")));
		}
		return contents;
	}	
	public void search(View view){//ť¼
		String input=mAuto.getText().toString();
		if(input==null||"".equals(input.trim())){
			AlertDialog.Builder builder=new Builder(this);
			builder.setTitle("ʾ");
			builder.setMessage("ؼ");
			builder.create().show();			
		}else{			
			if(!datas.contains(input)){//Դûиùؼ֣򽫸ùؼӽȥ			
				mDB.execSQL("insert into word(word) values(?)",new String[]{input});
				datas=getData();//Դ
				adapter=new ArrayAdapter<String>(this,android.R.layout.simple_list_item_1,datas);
				mAuto.setAdapter(adapter);
			}
		}		
	}
	@Override
	protected void onDestroy() {
		if(mDB!=null){//˳ʱرݿ
			mDB.close();
		}
		super.onDestroy();
	}
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
}
